import request from "@/utils/request";

// 查询网络安全官列表
export function listSafetyadmin(query) {
  return request({
    url: "/zongzhi/safetyadmin/list",
    method: "get",
    params: query,
  });
}

// 查询网络安全官详细
export function getSafetyadmin(id) {
  return request({
    url: "/zongzhi/safetyadmin/" + id,
    method: "get",
  });
}

// 新增网络安全官
export function addSafetyadmin(data) {
  return request({
    url: "/zongzhi/safetyadmin",
    method: "post",
    data: data,
  });
}

// 修改网络安全官
export function updateSafetyadmin(data) {
  return request({
    url: "/zongzhi/safetyadmin",
    method: "put",
    data: data,
  });
}

// 删除网络安全官
export function delSafetyadmin(id) {
  return request({
    url: "/zongzhi/safetyadmin/" + id,
    method: "delete",
  });
}

// 导出网络安全官
export function exportSafetyadmin(data) {
  return request({
    url: "/zongzhi/safetyadmin/export",
    method: "post",
    data,
  });
}
